Subject: Re: "cl" wrapper for gcc
From: [email-masked] (Alfredo V. Mendoza)

7 Apr 1998 07:03:13 -0700
Message-ID: <[email-masked]>
References: <c=GB%a=TMAILUK%p=DCNET%l=[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Edward Avis)
Cc: [email-masked], [email-masked]

Actually there is one out there. Although I am not sure
if that is the exact thing you are looking for.
I recently downloaded omniORB (a Corba ORB that downloadable
from the net).

It comes with all the sources and one of the tools it uses
is a clwrapper .

Here is the comment line from the clwrapper.c

/*
  clwrapper.c - wrapper around Visual C++'s "CL" program to perform
 * GNU-WIN32 file name translation (from unix-like to dos-like names).
 *
* Compile this program with "cl clwrapper.c advapi32.lib".
 */

I forgot the site name where I got omniORB from but I'm sure
if you search the net you'll find the site. Oh yeah, omniORB is not
the same as omniBroker .

Freddie Mendoza
[email-masked]

> 
> >>Has anyone made a wrapper the other way, that is called "cl" and
> >>accepting
> >>the same switches as Microsoft's cl.exe, but really invoking gcc?  I
> >>imagine this would be very useful to migrate from VC++ to Ming.
> >
> >I've not heard of anyone doing this yet.  Sounds like a worthy item.
> >Are you willing to give it a try?
> 
> 'Fraid not - I haven't much experience with gcc, and less with VC++.  I 
> have a tendency to think up ideas but not implement them, and this is seems 
> to be one of those.  (I don't have a PC except at work...).
> 
> Here's another idea that I thought up, probably won't be implemented, but 
> people might find interesting anyway:
> 
> -	Port Willows and / or Winelib to Cygwin32.
> -	Modify Mingw32 to link with libwine.dll (or whatever) instead of with the 
> Windows libraries.
> -	Also, make it easy to cross-compile things for Unix, linking with Willows 
> or Winelib.
> 
> When Willows and Wine are finished (and they are both very impessive, even 
> at the moment), it will be possible to compile Unix ports of Windows 
> applications "out of the box" on Win32.
> 
> --
> Ed Avis
> [email-masked]
> http://members.tripod.com/~mave/index.html
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".